#
# spec file for package gnome-shell-extension-desktop-icons
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-shell-extension-desktop-icons
Version:        19.10.2
Release:        3.9.1
Summary:        Desktop icon support for GNOME Shell
License:        GPL-3.0-or-later
Group:          System/GUI/GNOME
URL:            https://gitlab.gnome.org/World/ShellExtensions/desktop-icons
Source:         desktop-icons-%{version}.tar.xz
BuildRequires:  gnome-patch-translation
# Needed for directory ownership
BuildRequires:  gnome-shell >= 3.30
# gobject-introspection is needed for the typelib() rpm magic.
BuildRequires:  gobject-introspection
BuildRequires:  meson >= 0.44.0
BuildRequires:  translation-update-upstream
Requires:       gnome-shell
Requires:       nautilus >= 3.30.4
Requires:       xdg-desktop-portal-gtk
BuildArch:      noarch

# PATCH-FIX-UPSTREAM gnome-shell-extension-desktop-icons-add-mount-disk-icon.patch jsc#SLE-12572 glgo#GNOME/World/ShellExtensions/desktop-icons!171 xwang@suse.com -- Add showing mounted devices's icon
Patch0:         gnome-shell-extension-desktop-icons-add-mount-disk-icon.patch
# PATCH-FIX-OPENSUSE desktop-icons-fix-version-match.patch bsc#1176911 xwang@suse.com -- Match shell version under strict version checking
Patch1:         desktop-icons-fix-version-match.patch
# PATCH-FIX-UPSTREAM desktop-icons-show-iso-file-icon.patch bsc#1183504 glgo#GNOME/World/ShellExtensions/desktop-icons!196 xwang@suse.com -- Show ISO file icon.
Patch2:         desktop-icons-show-iso-file-icon.patch

%description
This package provides a GNOME Shell extension for showing the contents
of ~/Desktop on the desktop of the Shell. Common file management
operations such as launching, copy/paste, rename and deleting are
supported.

%prep
%setup -q -n desktop-icons-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
translation-update-upstream po %{name}
gnome-patch-translation-prepare po %{name}

%build
%meson \
    --localedir=share/gnome-shell/extensions/desktop-icons@csoriano/locale
%meson_build

%install
%meson_install

%files
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.desktop-icons.gschema.xml
%{_datadir}/gnome-shell/extensions/desktop-icons@csoriano/

%changelog
* Mon Mar 22 2021 xiaoguang.wang@suse.com
- Add desktop-icons-show-iso-file-icon.patch: Show ISO file icon as
  default icon.
  (bsc#1183504 glgo#GNOME/World/ShellExtensions/desktop-icons!196)
* Fri Nov 20 2020 xiaoguang.wang@suse.com
- Add desktop-icons-fix-version-match.patch: Match shell version
  under strict version checking (bsc#1176911).
* Mon Apr 27 2020 xiaoguang.wang@suse.com
- Add gnome-shell-extension-desktop-icons-add-mount-disk-icon.patch:
  Show mounted device icons
  (jsc#SLE-12572 glgo#GNOME/World/ShellExtensions/desktop-icons!171).
* Thu Nov 14 2019 bjorn.lie@gmail.com
- Drop superfluous tarball, we use sourceservice during build.
* Wed Nov 13 2019 xwang@suse.com
- Update to version 19.10.2:
  * desktopGrid.js: fix rename button
  * General: Fix thumbnails not centered
  * desktopGrid: Properly inherit Placeholder from a GObject class
  * desktopGrid: Use default upstream styling for rename popup
  * desktopGrid: Derive the RenamePoup from PopupMenu
  * desktopGrid: Open the rename popup only when item menu is
    closed
* Wed Oct  9 2019 dimstar@opensuse.org
- Change License to 'GPL-3.0-or-later', matching what the source
  files claim.
* Tue Oct  8 2019 xwang@suse.com
- Update to version 19.10.1:
  * metadata.json Compatibility only with Gnome Shell 3.34
  * metadata: Support gnome-shell 3.32 and 3.34
  * metadata: Prettify JSON code
  * desktopGrid: Don't emit deprecation warnings when using native
    objects
  * createFolderDialog: Use native GObject for new Shell 3.34
    versions
  * general: Pass the actor to PopupManuManager constructor in new
    shell
  * Update translation
* Wed Sep 18 2019 xwang@suse.com
- Update to version 19.01.4:
  * fileItem.js: Create menus lazily
  * fileItem.js: remove the menu during destruction
  * fileItem.js: disconnect writable-by-others signal
  * fileItem.js: fix code alignment
  * fileItem.js: nullify _setMetadataCancellable
  * fileItem.js: nullify _loadThumbnailDataCancellable
  * fileItem.js: fix property name
  * fileItem.js: avoid error after creating thumbnail
  * fileItem.js: ensure refresh attrs. in .desktop files
  * general: don't use specific monitor for .desktop files
  * Update translation
* Wed Aug 28 2019 xwang@suse.com
- Update to version 19.01.3:
  + Update Polish translation
  + Update Brazilian Portuguese translation
  + fileItem.js: Remove unneeded method call
  + Update POTFILES.in
  + fileItem.js: cancel file monitoring on destroy
  + General: fix opening terminal in folder
  + general: add new files top to bottom, left to right
  + desktopGrid.js: Check shell version for method existence
